
Figure - Bug #112294
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110894 (New): AF-V1.0功能测试-屏保

【AF】【EVT】【屏保】切换屏保类型后，无法正常使用屏保关闭功能
2022-09-29 20:40 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-29

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220929.alpha_0025

Resolution: -- Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-10-19

Test Type: IT Root cause: 在进入下一个页面层级,再返回之前的页面,MainSwitchPreference会再走一次生命周期,此时的对象和之前监听的对象并不是同一个,所以进行生命周期的时候再检测一遍并添加事件监听器

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置-显示-屏保

2、切换屏保类型

3、关闭使用屏保按钮

【预期结果】

1、无法进入屏保，屏幕长亮

【实际结果】

1、到达设定时间后，仍然进入屏保模式

【复现率】

必现

History

#1 - 2022-10-12 18:30 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-10-19

- Root cause set to 在进入下一个页面层级,再返回之前的页面,MainSwitchPreference会再走一次生命周期,此时的对象和之前监听的对象并不是同一个,所以进

行生命周期的时候再检测一遍并添加事件监听器

■ Current conclusion

已解决

■ My analysis

在进入下一个页面层级,再返回之前的页面,MainSwitchPreference会再走一次生命周期,此时的对象和之前监听的对象并不是同一个,所以进行生命周期的时

候再检测一遍并添加事件监听器

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/153491

#2 - 2022-10-13 09:51 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#3 - 2022-10-13 09:51 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/153491

